<?php
// Soubor s funkcemi pro českou lokalizaci fóra bbPress...

// Vyzkoušet ještě jiné řešení pomocí filtru ngettext?
/*add_filter( 'ngettext', 'separatista_zmenit_aktualnost' );
function separatista_zmenit_aktualnost( $translated ) {
    $translated = str_replace( 'dny', 'dní', $translated );
    return $translated;
}*/

// 1) Různé české hodnoty podle odlišného skloňování funkce human_time_diff()...
// Podrobnosti: http://core.trac.wordpress.org/ticket/9272
add_filter( 'bbp_get_forum_freshness_link', 'separatista_bbpress_zmenit_aktualnost' );
add_filter( 'bbp_get_topic_freshness_link', 'separatista_bbpress_zmenit_aktualnost' );
function separatista_bbpress_zmenit_aktualnost( $anchor ) {
	$text_odkazu = strip_tags( $anchor );
	$pole = explode ( ' ', $text_odkazu );
	$anchor = str_replace( 'minutou', 'minuta', $anchor );
	if ( $pole[0] > 4 ) { $anchor = str_replace( 'minutami', 'minut', $anchor ); } else { $anchor = str_replace( 'minutami', 'minuty', $anchor ); }
  $anchor = str_replace( 'hodinou', 'hodina', $anchor );
  if ( $pole[0] > 4 ) { $anchor = str_replace( 'hodinami', 'hodin', $anchor ); } else { $anchor = str_replace( 'hodinami', 'hodiny', $anchor ); }
	$anchor = str_replace( 'dnem', 'den', $anchor );
  if ( $pole[0] > 4 ) { $anchor = str_replace( 'dny', 'dní', $anchor ); }
  return $anchor;
}

// 2) Změnit zobrazování nuly...
// Založit ticket pro nulové hodnoty, doplnit různé další varianty
add_filter( 'bbp_get_single_forum_description', 'separatista_bbpress_odstranit_nulu' );
function separatista_bbpress_odstranit_nulu( $retstr ) {
  $pos = strpos( $retstr , '0 témat a 0 odpovědí' );
  if ( $pos != false ) {
    $retstr = str_replace( 'obsahuje 0 témat a 0 odpovědí', 'neobsahuje žádné téma ani odpověď', $retstr );
  }
	return $retstr;
}

// 2) Chybí lokalizace plurálů...
// Podrobnosti: http://bbpress.trac.wordpress.org/ticket/1605
add_filter( 'bbp_get_topic_pagination_count', 'separatista_bbpress_pridat_pluraly' );
function separatista_bbpress_pridat_pluraly( $retstr ) {
  $zobrazeny_text = strip_tags( $retstr );
	$pole = explode ( ' ', $zobrazeny_text );
	if ( $pole[1] > 1 && $pole[1] < 5 ) {
		if ( $pole[2] == 'témat' ) {
		  $retstr = str_replace( 'Zobrazeno ' . $pole[1] . ' témat', 'Zobrazena ' . $pole[1] . ' témata', $zobrazeny_text );
		  }
		if ( $pole[2] == 'příspěvků' ) {
		  $retstr = str_replace( 'Zobrazeno ' . $pole[1] . ' příspěvků', 'Zobrazeny ' . $pole[1] . ' příspěvky', $zobrazeny_text );
		  }
		if ( $pole[2] == 'odpovědí' ) {
			$retstr = str_replace( 'Zobrazeno ' . $pole[1] . ' odpovědí', 'Zobrazeny ' . $pole[1] . ' odpovědi', $zobrazeny_text );
			}
	}
	return $retstr;
}
?>